Bug 169997 - Incorrect classification of artist and album when importing directory with - in the name
Incorrect classification of artist and album when importing directory with - ...
Product: Fedora
Classification: Fedora
Component: rhythmbox (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Alexander Larsson
Depends On:
  Show dependency treegraph
Reported: 2005-10-06 06:56 EDT by Edward Grace
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-11-27 00:43:38 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Edward Grace 2005-10-06 06:56:58 EDT
Description of problem:

When importing directory of the form <Artist>/<Album>/<Tracks> it fails if the
artist has a - in the name for example AC-DC.

For example 'AC-DC/Back In Black' would become:

Artist: "AC"
Album: "DC : Back In Black"

Clearly something is going wrong with the parsing of the directory names...
The artist becomes AC, the Al

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1. Generate a directory structure of music where the artist has a hyphen in the name
2. Import this into the library

Expected results:

The artist should be "AC-DC", the album "Back In Black"

Note, this may be similar to bug #138265
Comment 1 Matthias Clasen 2006-11-27 00:43:38 EST
Thank you for the bug report. However, Fedora Project no longer maintains this
version of the product. Please upgrade to the latest version and open a new bug
if the problem persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older
releases, and if you believe this bug is interesting to them, please report the
problem against Fedora Legacy component

Note You need to log in before you can comment on or make changes to this bug.